Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Current Class Reference

`#include <CurrentC.h>`

Inheritance diagram for CORBA_Current:

[legend]
Collaboration diagram for CORBA_Current:

[legend]
List of all members.

## Public Types
typedef CORBA_Current_ptr | _ptr_type
typedef CORBA_Current_var | _var_type
## Public Methods
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
CORBA_Current_ptr | _duplicate (CORBA_Current_ptr obj)
CORBA_Current_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA_Current_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA_Current_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id = 0
| Address of this variable used in <_unchecked_narrow>. More...
## Protected Methods
| CORBA_Current (void)
virtual | ~CORBA_Current (void)
## Private Methods
| CORBA_Current (const CORBA_Current &)
void | operator= (const CORBA_Current &)

## Member Typedef Documentation

typedef CORBA_Current_ptr CORBA_Current::_ptr_type

| Reimplemented from CORBA_Object.

typedef CORBA_Current_var CORBA_Current::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

CORBA_Current::CORBA_Current | ( | void |  | ) | `[protected]`

virtual CORBA_Current::~CORBA_Current | ( | void |  | ) | `[protected, virtual]`

CORBA_Current::CORBA_Current | ( | const CORBA_Current & |  | ) | `[private]`

## Member Function Documentation

CORBA_Current_ptr CORBA_Current::_duplicate | ( | CORBA_Current_ptr | obj | ) | `[static]`

virtual const char* CORBA_Current::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object.

CORBA_Current_ptr CORBA_Current::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

CORBA_Current_ptr CORBA_Current::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object.

virtual void* CORBA_Current::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object.

CORBA_Current_ptr CORBA_Current::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

void CORBA_Current::operator= | ( | const CORBA_Current & |  | ) | `[private]`

## Member Data Documentation

int CORBA_Current::_tao_class_id = 0`[static]`

| Address of this variable used in <_unchecked_narrow>. Reimplemented from CORBA_Object.

The documentation for this class was generated from the following files:

- CurrentC.h
- CurrentC.cpp